SND_CARD_FILE_REMO(9)

NAME
snd_card_file_remove - remove the file from the file list

SYNOPSIS

int snd_card_file_remove (struct snd_card * card, struct file * file);

ARGUMENTS

card
    soundcard structure

file
    file pointer

DESCRIPTION

This function removes the file formerly added to the card via snd_card_file_add function. If all files are removed and the release of the card is scheduled, it will wake up the the thread to call snd_card_free (see snd_card_free_in_thread function).

Returns zero or a negative error code.